# Generated by Django 3.2.5 on 2021-07-08 14:59

import app.models.document
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("app", "0007_auto_20210705_1403"),
    ]

    operations = [
        migrations.AlterField(
            model_name="document",
            name="file",
            field=models.FileField(
                help_text="The path to the file.",
                max_length=255,
                upload_to=app.models.document.get_document_path,
                validators=[
                    django.core.validators.FileExtensionValidator(
                        allowed_extensions=["image/*", "application/pdf", "pdf"]
                    )
                ],
            ),
        ),
        migrations.CreateModel(
            name="DocumentRating",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "rating",
                    models.IntegerField(
                        default=0,
                        help_text="The actual rating given to the document.",
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(10),
                        ],
                    ),
                ),
                (
                    "document",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="document",
                        to="app.document",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="user",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="document",
            name="ratings",
            field=models.ManyToManyField(
                help_text="The users who gave a rating to this document.",
                related_name="documents",
                through="app.DocumentRating",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
    ]
